Subject: Re: Alternate Mixed Case scheme?
From: [email-masked] ($Bill Luebkert)

3 Feb 1998 10:43:22 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Keith_Graham/[email-masked] wrote:
> 
> I'm using the gnu-win32 tools to give me access to the Unix tools on NT
> (rather than specifically using the tools to compile Unix code on NT.)
> 
> As such, having mixed case is not the preferred solution, as has been
> pointed out in previous discussions.
> 
> I see where someone posted some patches that appear to change bash's
> wildcard expansion to support mixed case.
> 
> As an alternate solution, it appears that it wouldn't be very difficult to
> put a flag on mount, to make an entire drive be "lower case" only.  i.e.
> any directory read would see entirely lower case entries.  This is
> non-optimal for things like "README", but 99% of the time, I believe it
> would be the "correct" behavior.
> 
> And by setting it based on the mountpoint, NFS mounted drives or other
> mixed case devices would still work.
> 
> Comments?  Would this require any changes out of the winsup directory?
> Would this cause any problems with any standard tools?

Let's stay away from doing this with mount.  Keep it on a per shell or per 
user basis.  An environment vrbl will allow "ignoring of case" when reading 
a file name, but writing would always be case sensitive and so would the 
actual file system.

In other words, leave the filenames alone on disk and allow programs to 
accept the inputting of filenames for reading/expansion/etc in 
whatever case the user wants to specify them (based on vrbl).

This also allows it to change for each iteration of the shell and for each 
user on the system.

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".